Package htsjdk.samtools

# Class SBIIndex.Header

java.lang.Object
htsjdk.samtools.SBIIndex.Header

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `SBIIndex`

public static class SBIIndex.Header extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Header(long fileLength, byte[] md5, byte[] uuid, long totalNumberOfRecords, long granularity)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`long`
`getFileLength()`
`long`
`getGranularity()`
`byte[]`
`getMd5()`
`long`
`getTotalNumberOfRecords()`
`byte[]`
`getUuid()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Header

public Header(long fileLength, byte[] md5, byte[] uuid, long totalNumberOfRecords, long granularity)

## Method Details

### getFileLength

public long getFileLength()

### getMd5

public byte[] getMd5()

### getUuid

public byte[] getUuid()

### getTotalNumberOfRecords

public long getTotalNumberOfRecords()

### getGranularity

public long getGranularity()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`